*{
  box-sizing: border-box !important;
}
/* width */
::-webkit-scrollbar {
  width: 5px !important;
}

/* Track */
::-webkit-scrollbar-track {
  box-shadow: inset 0 0 2px grey; 
  border-radius: 10px;
}
 
/* Handle */
::-webkit-scrollbar-thumb {
  background: #5b68f6; 
  border-radius: 10px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #4a58f6; 
}
:root{
  --pinkcolor: #fd15b3;
  --bluecolor: #5b68f6;
  /* --bluecolor: #523be4; */
}

.padd {
  padding: 10px !important;
}

.custom-text-area {
  border: 1px solid #fafafa !important;
  transition: all 0.3s ease-in-out !important;
  font-size: 14px !important;
  font-family: MavenPro, sans-serif !important;
  resize: none !important;
}

.custom-text-area:focus {
  border: 1px solid var(--secondaryColor) !important;
}

.heading {
  margin-top: 10px !important;
  margin-bottom: 15px !important;
  font-weight: normal !important;
}

.history-text {
  margin-top: 6px;
  color: #fff !important;
  background: #5b68f6  !important;
  /* box-shadow: 0 0px 20px 0 rgb(209 0 113 / 50%); */
  transition: all 0.3s !important;
  border-radius: 50px !important;
  text-transform: capitalize !important;
  font-weight: 500;
  font-size: 14px;
  font-style: inherit;
  width: 100px;
  height: 42px;
  line-height: 36px;
  text-align: center;
  padding-top: 3px;
}

.bg-color {
  background-color: transparent !important;
  box-shadow: 0 0px 20px 0 rgb(199 195 195 / 21%) !important;
}

.pl-pr-0 {
  padding-left: 0px !important;
  padding-right: 0px !important;
}
.pl-0 {
  padding-left: 0px !important;
}

.min-height {
  min-height: 426px !important;
}

.send-data-heading {
  border-radius: 0px 0px 50px 50px !important;
}

.upload {
  position: absolute !important;
  top: 0px !important;
  left: 0px !important;
  z-index: 1 !important;
  padding: 4px !important;
}

div.fileinputs {
  position: relative !important;
}

div.div-for-placeholder {
  position: absolute !important;
  top: 0px !important;
  left: 0px !important;
  z-index: 1 !important;
}

input.input-type-file {
  position: relative !important;
  text-align: right !important;
  opacity: 0 !important;
  z-index: 2 !important;
}

.download-CSV {
  text-align: left !important;
  margin-top: 20px !important;
  margin-bottom: 15px !important;
}

.download-text {
  color: #000000;
  padding-left: 8px;
  font-size: 17px;
}

.placholder-text::-webkit-input-placeholder {
  /* Chrome/Opera/Safari */
  color: #000000 !important;
  font-size: 17px;
}

.placholder-text::-moz-placeholder {
  /* Firefox 19+ */
  color: #000000 !important;
  font-size: 17px;
}

.placholder-text:-ms-input-placeholder {
  /* IE 10+ */
  color: #000000 !important;
  font-size: 17px;
}

.placholder-text:-moz-placeholder {
  /* Firefox 18- */
  color: #000000 !important;
  font-size: 17px;
}

@media only screen and (max-width: 992px) {
  .text-align-left {
    text-align: left !important;
    padding: 1px 0px 10px 10px !important;
  }
  .display-none {
    display: none !important;
  }
  .div-with-options {
    min-height: 100px !important;
  }

  .border-radius {
    border-radius: 50px !important;
  }
  .padd-top {
    padding-top: 1px;
  }
  .margin-top {
    margin-top: 25px;
  }
}

@media only screen and (max-width: 768px) {
  .main-div {
    margin: 100px 40px !important;
  }
}

@media only screen and (min-width: 992px) {
  .minimum-height {
    min-height: 515px !important;
  }
  .box-height {
    min-height: 620px !important;
  }
}

.outer-container {
  border-radius: 10px !important;
  background-color: white;
  box-shadow: 0 0 8px 2px #eee;
  padding: 10px;
}
/* 
.border-right {
  border-right: 1px solid #b9b9bd;
} */

.sub-heading {
  font-size: 20px;
  font-weight: normal;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: 0.1px;
  text-align: center;
  color: #3F4246;
  padding-top: 5px;
}

.radio-text {
  font-size: 15px;
  font-weight: normal;
  font-style: normal;
  font-stretch: normal;
  line-height: normal;
  letter-spacing: 0.1px;
  color: #3F4246;
}

.button-user {
  text-align: center;
  padding-bottom: 5px;
}

.driver-button {
  text-align: center;
  padding-bottom: 5px;
}

.ride-button {
  text-align: center;
}

.outer-div-border {
  box-shadow: 0 2px 10px 0 rgba(0, 0, 0, 0.21) !important;
  border: 1px solid #fafafa !important;
  border-radius: 8px !important;
}

.image-width {
  width: 187px !important;
  height: 340px !important;
}

.text {
  margin-top: 16px !important;
  color: #620dc4 !important;
  font-size: 20px !important;
}

.OK-button {
  color: #fff !important;
  text-decoration: none !important;
  background-color: var(--secondaryColor) !important;
}

.OK-button:hover {
  color: #fff !important;
  text-decoration: none !important;
  background-color: var(--secondaryColor) !important;
}

.enable-delivery-btn {
  padding: 3px 25px 3px 25px !important;
  font-size: 18px !important;
}

.modal-center {
  display: flex;
  align-items: center;
  height: 100%;
}

.md-right {
  z-index: 10000;
}
textarea {
  resize: none;
}

md-radio-button.md-default-theme:not([disabled]).md-primary.md-checked .md-off,
md-radio-button:not([disabled]).md-primary.md-checked .md-off,
md-radio-button.md-default-theme:not([disabled]) .md-primary.md-checked .md-off,
md-radio-button:not([disabled]) .md-primary.md-checked .md-off,
md-radio-button.md-default-theme:not([disabled]).md-primary .md-checked .md-off,
md-radio-button:not([disabled]).md-primary .md-checked .md-off,
md-radio-button.md-default-theme:not([disabled]).md-primary.md-checked.md-off,
md-radio-button:not([disabled]) .md-primary .md-checked .md-off,
md-radio-group.md-default-theme:not([disabled]).md-primary.md-checked .md-off,
md-radio-group:not([disabled]).md-primary.md-checked .md-off,
md-radio-group.md-default-theme:not([disabled]) .md-primary.md-checked .md-off,
md-radio-group:not([disabled]) .md-primary.md-checked .md-off,
md-radio-group.md-default-theme:not([disabled]).md-primary .md-checked .md-off,
md-radio-group:not([disabled]).md-primary .md-checked .md-off,
md-radio-group.md-default-theme:not([disabled]) .md-primary .md-checked .md-off,
md-radio-group:not([disabled]) .md-primary .md-checked .md-off {
  border-color: #fd15b3;
}

md-radio-button.md-default-theme:not([disabled]).md-primary .md-on,
md-radio-button:not([disabled]).md-primary .md-on,
md-radio-button.md-default-theme:not([disabled]) .md-primary .md-on,
md-radio-button:not([disabled]) .md-primary .md-on,
md-radio-group.md-default-theme:not([disabled]).md-primary .md-on,
md-radio-group:not([disabled]).md-primary .md-on,
md-radio-group.md-default-theme:not([disabled]) .md-primary .md-on,
md-radio-group:not([disabled]) .md-primary .md-on {
  background-color: #fd15b3;
}

md-radio-button.md-default-theme .md-off, md-radio-button .md-off {
    border-color: #fd15b3;
}

.btn {
  display: inline-block;
  padding: 6px 12px;
  margin-bottom: 0;
  font-size: 14px;
  font-weight: normal;
  line-height: 1.42857143;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  background-image: none;
  border: 1px solid transparent;
  border-radius: 50px;
}
/* Parvez CSS starts from here */
.sidebar{
  background-color: #000;
}
/* .nav > li:first-child > a {
  padding-top: 20px !important;
} */
.custom-hambar {
  background-color: #fff;
  border: none !important;
}
.toggleSideBar {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.custom-top-nav-sec .col-md-3 {
  width: 345px;
}
.custom-top-nav-sec .col-md-9 {
  width: calc(100% - 345px);
}
.d-none{
  display: none;
}
.custom-wrapper-inride{
  padding: 40px 25px;
}
.custom-wrapper-inride .header-styles {
  height: auto;
  box-shadow: none;
  padding: 15px !important;
  margin-bottom: 20px;
  border-radius: 5px;
}
ul.inride-status-box {
  list-style: none;
  padding: 0;
  margin: 0;
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
}
ul.inride-status-box li {
  width: 16%;
  text-align: center;
  margin-bottom: 5px;
  border: 1px solid #fd15b3;
  border-radius: 5px;
  min-height: 30px;
  transition: .4s all;
}
ul.inride-status-box li:hover {
  background: #fd15b3;
  color: #fff;
  border-color: #fd15b3;
  transform: scale(1.1);
}
ul.inride-status-box li span{
  transition: .4s all;
  margin: 5px 0;
  display: block;
}
ul.inride-status-box li:hover span{
  color: #fff;
}
ul.inride-status-box li p {
  margin-bottom: 0px;
}
.inride-card{
  padding: 15px;
  background-color: #fff;
  margin-bottom: 20px;
  border-radius: 5px;
}
.user-setting{
    display: flex;
    align-items: center;
    justify-content: end;
    padding-right: 15px;
    position: relative;
    top: 5px;
}
.user-setting a i{
  font-size: 18px;
}
.location-text{
  position: relative;
  top: 15px;
}
.topbar-search .form-control {
  border: 2px solid #fd15b3 !important;
  float: none !important;
  border-radius: 10px !important;
}
.topbar-search.input-group {
  /* display: flex; */
  align-items: center;
  justify-content: space-between;
  width: 100%;
}
/* .topbar-search.input-group i {
  position: absolute;
  top: 10px;
  right: 15px;
  z-index: 9;
} */
.modal-backdrop.in {
  display: none;
}
#navbar-modal {
  left: 60px;
  right: auto;
  top: 100px;
}
#navbar-modal .modal-body {
  background-color: #fff;
  border-radius: 10px;
  box-shadow: 0 0 15px 0px #eee;
}
.custom-navbar {
  width: 550px;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  height: 600px;
  overflow-y: auto;
}
.custom-navbar.nav{
  /* border-right: 1px solid #fd15b3; */
  padding-right: 10px;
  margin-right: 10px;
}
.tab-pane .custom-navbar{
  display: block;
  width: auto;
}
.custom-navbar a {
  color: #000;
  font-size: 16px;
  padding: 10px 20px;
  width: 100%;
  display: inline-block;
  transition: .4s all;
  /* margin-bottom: 10px; */
  /* border-radius: 8px; */
  max-width: 300px;
}

.custom-navbar  a:focus, .custom-navbar  a:hover {
  background-color: #fd15b3 !important;
  color: #fff;
  text-decoration: none;
}
ul{
  padding: 0;
  margin: 0 !important;
  list-style: none;
}
.close{
  opacity: 1 !important;
  position: absolute;
  right: 10px;
  top: 5px;
}
.close span{
    font-size: 30px;
}
.flex-column {
  -webkit-box-orient: vertical!important;
  -webkit-box-direction: normal!important;
  -ms-flex-direction: column!important;
  flex-direction: column!important;
}
.nav-equilizer{
  display: flex;
}
.tab-pane{
  color: #fff;
}
#navbar-modal .modal-content {
  margin-top: 0% !important;
}
.my-0{
  margin-bottom: 0 !important;
  margin-top: 0 !important;
}
.intl-tel-input .selected-flag .iti-flag{
  left: 0;
}
.select-menu {
  position: absolute;
  width: 100%;
  right: 0;
  top: 5px;
}
.select-menu .select2 {
  display: block;
}
.select-menu .select2 > .select2-choice.ui-select-match {
  width: 100%;
  padding: 0px;
  line-height: 30px;
  height: auto !important;
  border-radius: 10px !important;
}
.select-menu .select2-container .select2-choice > .select2-chosen {
  margin-right: 0;
  padding: 5px 15px;
}
.select-menu .select2-container .select2-choice .select2-arrow b {
  background-position: 0 5px;
}
.select-menu .select2-search {
  margin: 12px 0;
}
.select-menu .select2-results {
  padding: 0;
}
.select-menu .select2-search input {
  padding: 0px 15px !important;
  border-radius: 10px !important;
  line-height: 2;
  border: 2px solid #fd15b3;
}
.select-menu .select2-results .select2-highlighted {
  /* background: #523be4 !important; */
  background: #5b68f6 !important;
}
.dataTables_filter > label{
  padding-right: 10px;
}
.dataTables_length > label {
  padding-left: 10px;
}
th {
  opacity: 1 !important;
  /* background-color: #523be4; */
  background-color: #5b68f6;
}
.table > thead > tr > th {
  padding: 15px !important;
}
.dataTables_info {
  margin-top: 20px;
}
.panel-box-custom,
.panel-table-custom{
  padding: 15px;
}
.panel-box-custom{
  margin: 0;
}
.dataTables_paginate {
  margin-top: 15px;
}
.t-fancy-table.table > tbody > tr:hover {
  background: #ffc0ea;
}
table .rideText{
  color: var(--bluecolor) !important;
}
.ranges li:hover {
  background-color: var(--bluecolor) !important;
  border: 1px solid var(--bluecolor) !important;
  color: #fff;
}
.daterangepicker td.active, .daterangepicker td.active:hover{
  background-color: var(--bluecolor) !important;
}
.daterangepicker .calendar th{
  background-color: var(--bluecolor) !important;
  color: #fff;
}
.daterangepicker td.available:hover, .daterangepicker th.available:hover {
  background-color: var(--bluecolor) !important;
  color: #fff !important;
}
.daterangepicker .input-mini.active,
.daterangepicker_input .form-control:focus,
.daterangepicker_input .form-control{
  border-color: var(--pinkcolor) !important;
}
.table td .fancyButton{
  border-color: var(--bluecolor);
}
.table td .fancyButton:hover{
  border-color: var(--pinkcolor);
}
.table thead tr th:first-child {
    border-radius: 15px 0 0 15px;
}
.table thead tr th:last-child{
  border-radius: 0px 15px 15px 0px;
}
.custom-login-box {
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  background: rgb(82 59 228 / 50%);
}
.login-info{
  display: flex;
  height: 600px;
  width: 1000px;
}
.login-left {
  width: 50%;
  background-color: #fff;
  padding: 80px 25px 150px;
  border-radius: 20px 0 0 20px;
}
.login-right {
  width: 50%;
  background: url(../img/login-img.png) no-repeat center;
  background-size: cover;
  height: 100%;
  border-radius: 0 20px 20px 0;
}
.d-block{
  display: block;
}
.login-left .form-control {
  border-radius: 10px;
  border: 2px solid var(--pinkcolor) !important;
}
.login-left .btn-primary,
.btn-primary{
  background: var(--bluecolor) !important;
  border-color: var(--bluecolor);
  border-radius: 5px !important;
}
.login-left a:hover,
.login-left a{
  color: var(--bluecolor);
}
.login-left hr{
  width: 100%;
}

/* Hamburger Css */
* {
  margin: 0;
  padding: 0; 
}

/* Icon 1 */
#nav-icon1 {
  width: 40px;
  height: 25px;
  position: relative;
  -webkit-transform: rotate(0deg);
  -moz-transform: rotate(0deg);
  -o-transform: rotate(0deg);
  transform: rotate(0deg);
  -webkit-transition: .5s ease-in-out;
  -moz-transition: .5s ease-in-out;
  -o-transition: .5s ease-in-out;
  transition: .5s ease-in-out;
  cursor: pointer;
}
#nav-icon1 span {
  display: block;
  position: absolute;
  height: 4px;
  width: 100%;
  background: #000;
  border-radius: 9px;
  opacity: 1;
  left: 0;
  -webkit-transform: rotate(0deg);
  -moz-transform: rotate(0deg);
  -o-transform: rotate(0deg);
  transform: rotate(0deg);
  -webkit-transition: .25s ease-in-out;
  -moz-transition: .25s ease-in-out;
  -o-transition: .25s ease-in-out;
  transition: .25s ease-in-out;
}
#nav-icon1 span:nth-child(1) {
  top: 0px;
}
#nav-icon1 span:nth-child(2) {
  top: 10px;
}
#nav-icon1 span:nth-child(3) {
  top: 20px;
}
#nav-icon1.open span:nth-child(1) {
  top: 10px;
  -webkit-transform: rotate(135deg);
  -moz-transform: rotate(135deg);
  -o-transform: rotate(135deg);
  transform: rotate(135deg);
}
#nav-icon1.open span:nth-child(2) {
  opacity: 0;
  left: -60px;
}
#nav-icon1.open span:nth-child(3) {
  top: 10px;
  -webkit-transform: rotate(-135deg);
  -moz-transform: rotate(-135deg);
  -o-transform: rotate(-135deg);
  transform: rotate(-135deg);
}
.layout-fixed .wrapper > .aside > .aside-inner{
  display: none;
}
.nav-logo-box {
  display: flex;
  align-items: center;
  width: 200px;
}
.logo-main {
  display: inline-block;
  position: relative;
  margin-right: 30px;
  padding-right: 30px;
}
.logo-main:before {
  content: '';
  height: 100%;
  width: 2px;
  position: absolute;
  right: 0;
  top: 0;
  background: #ddd;
}
.logo-main img {
  max-width: 35px;
}
.nav-menu-title {
  color: #000;
  margin: 5px 0 15px 10px;
}
.upper-search-box{
  display: flex;
}
.breadcrumb{
  background-color: transparent !important;
  margin-bottom: 0 !important;
  padding: 8px 0 !important;
}
.breadcrumb li a {
  color: #000;
}
.breadcrumb > .active {
  color: var(--pinkcolor) !important;
}
.w-150{
  width: 150px;
}
.dataTables_wrapper .dataTables_filter input:focus,
body .form-control:focus,
body .form-control,
body select.form-control{
  border: 2px solid var(--pinkcolor) !important;
  border-radius: 10px !important;
}
.md-button.md-default-theme.md-warn, .md-button.md-warn {
  border-color: var(--bluecolor) !important;
  color: #000;
}
.md-button.md-warn:not([disabled]):hover{
  box-shadow: none !important;
  background: var(--bluecolor);
  color: white;
}
.background-gray{
  background-color: var(--bluecolor) !important;
  height: auto !important;
  border-radius: 0 !important;
}
.background-gray p{
  margin-bottom: 0;
}
.map-list {
  max-width: 130px;
  margin-right: 10px;
}
#map{
  width: 95%;
  margin: 0 auto;
  height: 600px;
}
.pane-header ul {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.ranges li {
  color: #000000 !important;
}
.daterangepicker .ranges li.active {
  background-color: var(--bluecolor) !important;
  border: 1px solid var(--bluecolor) !important;
  color: #fff !important;
}
.daterangepicker .ranges .applyBtn {
  color: #fff;
  background-color: var(--bluecolor) !important;
  border-color: var(--bluecolor) !important;
  border-radius: 50px !important;
}
.daterangepicker .ranges  .cancelBtn {
  background: white;
  border: solid 1px var(--bluecolor);
  color: var(--bluecolor);
  border-radius: 50px !important;
}
.daterangepicker .ranges .cancelBtn:hover {
  background-color: var(--bluecolor);
  border-color: var(--bluecolor) !important;
  color: #fff;
}
.daterangepicker .calendar th {
  background-color: var(--bluecolor) !important;
  color: #fff !important;
}
.active{
  text-decoration: none;
}
.ranges li:hover {
  background-color: var(--bluecolor) !important;
  border: 1px solid var(--bluecolor) !important;
  color: #fff !important;
}
#polygonMap{
  height: 100vh;
  width: 100%;
  position: relative;
  overflow: hidden;
}
#button-wrapper{
  position: relative;
}
.custom-map-view-list{
  display: flex;
  flex-wrap: wrap;
}
.custom-map-view-list .map_card{
  width: 48%;
  margin: 0 5px 10px;
}
.breadcrumb > li {
  display: inline-block;
  font-size: 16px;
}
.piechartsize {
  height: 350px !important;
  width: 350px !important;
  margin: 0 auto;
}
.topbar-search.select-menu {
  position: relative;
  top: 0;
  display: block !important;
  margin-right: 15px;
  max-height: 45px;
  max-width: 200px;
}
.searchable-box {
  display: flex;
  width: 100%;
  max-width: 655px;
}
.topbar-search .searchable-box input{
  border-radius: 10px 0 0 10px !important;
  border-right: 0 !important;
}
.searchable-box .btn {
  border-radius: 0 5px 5px 0 !important;
  border: 2px solid var(--pinkcolor);
  background: transparent;
  height: 35px;
}
.searchable-box .btn .fa:hover{
  color: #fff !important;
}
.searchable-box .btn:hover {
  color: #fff;
  background: var(--pinkcolor);
}
.custom-tabs li a:hover,
.custom-tabs li.active a:hover,
.custom-tabs li.active a{
  border: 1px solid var(--pinkcolor) !important;
  border-bottom: 0 !important;
  background-color: var(--pinkcolor) !important;
  color: #fff !important;
}
.custom-tabs {
  margin-bottom: 20px !important;
}
.mb-20{
  margin-bottom: 20px !important;
}
.enrollement-box-data{
  margin-bottom: 30px !important;
}
.enrollement-box-data li {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  padding: 15px;
  border-radius: 5px;
  transition: .4s all;
  border-bottom: 1px solid #eee;
}
.enrollement-box-data li:last-child{
  border: 0;
}
.enrollement-box-data li:hover {
  background: var(--pinkcolor);
  color: #fff;
}
.captian-label {
  font-weight: 600;
  width: 45%;
}
.captian-colon {
  width: 10%;
  text-align: center;
}
.captian-data {
  width: 45%;
  text-align: right;
}
.enrollement-box-data li .form-control{
  width: 45%;
}
.custom-height{
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
img{
  max-width: 100%;
}
.portrait-image{
  text-align: center;
}
.portrait-image img{
  object-fit: cover;
  max-width: 200px;
}
.btn{
  border-radius: 30px !important;
  width: max-content;
}
.btn-primary{
  border-color: var(--bluecolor) !important;
}
.btn-primary:hover{
  border-color: var(--pinkcolor) !important;
  background-color: var(--pinkcolor) !important;
}
.btn-outline-danger {
  border-color: #ff5722 !important;
  color: #ff5722;
}
.btn-outline-danger:hover{
  background-color: #ff5722;
  border-color: #ff5722;
  color: #fff !important;
}
.driver-detail-box {
  border: 2px solid #e4c6c6;
  transform: scale(1.05);
}
.success-text{
  color: green;
}
.info-text {
  color: #e4bc23;
}
textarea.form-control {
  height: auto !important;
}
.custom-radio-group{
  flex-wrap: wrap;
}
.custom-radio-group md-radio-button {
  margin: 0 30px 10px 0px !important;
}
.custom-radio-group md-radio-button .md-container {
  top: 14px;
  left: 0px;
}
.custom-radio-group md-radio-button .md-label {
  margin-left: 12px;
  margin-right: 0;
}
/* Parvez CSS End here */


#addManagerModal .modal {
  position: absolute !important;
}